View Issue Details

IDProjectCategoryView StatusLast Update
0002260Slicer4Core: Base Codepublic2014-05-12 23:22
ReporterfinetjulAssigned Tojcfr 
PrioritynormalSeverityminorReproducibilityhave not tried
Status acknowledgedResolutionfixed 
Product Version 
Target VersionFixed in Version 
Summary0002260: Update Module template to include widget library
Description

From Julien - June 26 2012:

Actually maybe it should.
Templates should have all possible cases and if the user doesn't want 1 subdirectory, it deletes it and remove/comment add_subdirectory in top CMakeLists.

Tagshelp-wanted

Relationships

related to 0002922 acknowledgedjcfr (Scripted|Loadable)ExtensionTemplate don't have parameter node 

Activities

jcfr

jcfr

2012-06-29 17:36

administrator   ~0005008

See http://viewvc.slicer.org/viewvc.cgi/Slicer4?view=revision&revision=20529
and http://viewvc.slicer.org/viewvc.cgi/Slicer4?view=revision&revision=20530

jcfr

jcfr

2012-06-29 19:00

administrator   ~0005009

See http://viewvc.slicer.org/viewvc.cgi/Slicer4?view=revision&revision=20530,
http://viewvc.slicer.org/viewvc.cgi/Slicer4?view=revision&revision=20531
and http://viewvc.slicer.org/viewvc.cgi/Slicer4?view=revision&revision=20532

jcfr

jcfr

2012-06-29 19:01

administrator   ~0005010

Fixed in r20533
See http://viewvc.slicer.org/viewvc.cgi/Slicer4?view=revision&revision=20533

Note that a more elaborated example of widget could be added.

jcfr

jcfr

2012-07-27 15:42

administrator   ~0005414

Dear issue reporter,

Good news :) Slicer developers SOLVED the problem you reported - YOU now need to VERIFY and CLOSE this issue.

finetjul

finetjul

2012-07-30 07:04

administrator   ~0005453

MRML, MRMLDisplayableManager, VTKWidgets are missing

Issue History

Date Modified Username Field Change
2012-06-26 12:08 jcfr New Issue
2012-06-26 12:09 jcfr Reporter jcfr => finetjul
2012-06-26 12:09 jcfr Assigned To => jcfr
2012-06-26 12:09 jcfr Status new => assigned
2012-06-26 12:09 jcfr Target Version => Slicer 4.3.0
2012-06-29 17:36 jcfr Note Added: 0005008
2012-06-29 19:00 jcfr Note Added: 0005009
2012-06-29 19:01 jcfr Note Added: 0005010
2012-06-29 19:01 jcfr Status assigned => resolved
2012-06-29 19:01 jcfr Fixed in Version => Slicer 4.2.0 - Sept 1st 2012
2012-06-29 19:01 jcfr Resolution open => fixed
2012-07-27 15:42 jcfr Note Added: 0005414
2012-07-30 07:04 finetjul Note Added: 0005453
2012-07-30 07:04 finetjul Status resolved => assigned
2013-08-30 13:28 jcfr Target Version Slicer 4.3.0 => Slicer 4.3.1
2013-09-24 11:14 jcfr Target Version Slicer 4.3.1 => Slicer 4.3.2
2014-03-06 10:15 nicole Target Version Slicer 4.3.2 => Slicer 4.4.0
2014-03-07 10:07 jcfr Relationship added related to 0002922
2014-05-12 23:20 jcfr Tag Attached: I-want-to-contribute
2014-05-12 23:20 jcfr Tag Renamed I-want-to-contribute => help-wanted
2014-05-12 23:21 jcfr Assigned To jcfr =>
2014-05-12 23:21 jcfr Status assigned => acknowledged
2014-05-12 23:21 jcfr Fixed in Version Slicer 4.2.0 =>
2014-05-12 23:21 jcfr Target Version Slicer 4.4.0 =>
2014-05-12 23:21 jcfr Status acknowledged => assigned
2014-05-12 23:21 jcfr Assigned To => jcfr
2014-05-12 23:22 jcfr Status assigned => acknowledged